Index: trunk/LMDZ.TITAN/libf/phytitan/ini_histday.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/ini_histday.h	(revision 174)
+++ trunk/LMDZ.TITAN/libf/phytitan/ini_histday.h	(revision 175)
@@ -1,5 +1,2 @@
-!
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/ini_histday.h,v 1.2 2005/01/27 10:06:12 fairhead Exp $
-!
       IF (ok_journe) THEN
 c
@@ -104,19 +101,76 @@
      .                "ave(X)", zsto,zout)
 c
-      ENDIF !lev_histday.GE.2
-c
-c-------------------------------------------------------
-      IF(lev_histday.GE.3) THEN
-c
 cccccccccccccccccc  Tracers
 c
          if (iflag_trac.eq.1) THEN
-          if (microfi.eq.1) then
-           DO iq=1,nmicro
-         CALL histdef(nid_day, tname(iq), ttext(iq), "n/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-           ENDDO
+          if (microfi.ge.1) then
+c           DO iq=1,nmicro
+c             CALL histdef(nid_day, tname(iq), ttext(iq), "n/m2",
+c     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c     .                "ave(X)", zsto,zout)
+c           ENDDO
+             CALL histdef(nid_day, "qaer","nb tot aer" , "n/m2",
+     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    "ave(X)", zsto,zout)
+             CALL histdef(nid_day, "qnoy","nb tot noy" , "n/m2",
+     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    "ave(X)", zsto,zout)
+             CALL histdef(nid_day, "qgl1","V tot gl1" , "m3/m2",
+     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    "ave(X)", zsto,zout)
+             CALL histdef(nid_day, "qgl2","V tot gl2" , "m3/m2",
+     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    "ave(X)", zsto,zout)
+             CALL histdef(nid_day, "qgl3","V tot gl3" , "m3/m2",
+     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    "ave(X)", zsto,zout)
+c--------------
+c ----- SATURATION ESP NUAGES
+             if (clouds.eq.1) then
+               CALL histdef(nid_day,"ch4sat", "saturation CH4", "--",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+               CALL histdef(nid_day,"c2h6sat", "saturation C2H6", "--",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+               CALL histdef(nid_day,"c2h2sat", "saturation C2H2", "--",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+c --------------
+c ----- RESERVOIR DE SURFACE
+               CALL histdef(nid_day, "reserv", "Reservoir surface","m",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+c --------------
+c ----- PRECIPITATIONS (precipitations cumulatives)
+               CALL histdef(nid_day,"prech4","Precip CH4","m",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+               CALL histdef(nid_day,"prec2h6","Precip C2H6",
+     .                "m",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+               CALL histdef(nid_day,"prec2h2","Precip C2H2",
+     .                "m",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+c --------------
+c ----- FLUX GLACE
+               CALL histdef(nid_day,"flxgl1", "flux gl CH4",
+     .              "kg/m2/s",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "ave(X)", zsto,zout)
+               CALL histdef(nid_day,"flxgl2", "flux gl C2H6",
+     .              "kg/m2/s",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "ave(X)", zsto,zout)
+               CALL histdef(nid_day,"flxgl3", "flux gl C2H2",
+     .              "kg/m2/s",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "ave(X)", zsto,zout)
+c --------------
+c ----- RAYON DES GOUTTES
+               CALL histdef(nid_day,"rcldbar", "rayon moyen goutte",
+     .                "m",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+             endif
 	  endif
+c --------------
+c ----- TRACEURS CHIMIQUES
 	  if (nmicro.lt.nqmax) then
            DO iq=nmicro+1,nqmax
@@ -128,4 +182,9 @@
          endif
 c
+      ENDIF !lev_histday.GE.2
+c
+c-------------------------------------------------------
+      IF(lev_histday.GE.3) THEN
+c
 cccccccccccccccccc  Radiative transfer
 c
@@ -154,4 +213,6 @@
      .                32, "ave(X)", zsto1,zout)
 c
+c --------------
+c ----- OPACITE BRUME
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
@@ -161,4 +222,13 @@
          ENDDO
 c
+         DO k=8,NSPECI,10
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_day,"thi"//str1,"Haze Opa IR",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+c --------------
+c ----- EXTINCTION BRUME
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
@@ -168,14 +238,32 @@
          ENDDO
 c
+         DO k=8,NSPECI,10
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_day,"khi"//str1,"Haze ext IR ",
+     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+c --------------
+c ----- OPACITE GAZ
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
-         CALL histdef(nid_day,"tgv"//str1,"Haze Opa Vis",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
+         CALL histdef(nid_day,"tgv"//str1,"Gas Opa Vis",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+         DO k=8,NSPECI,10
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_day,"tgi"//str1,"Gas Opa IR",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+c --------------
+c ----- EXTINCTION GAZ
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
-         CALL histdef(nid_day,"kgv"//str1,"Haze ext Vis ",
+         CALL histdef(nid_day,"kgv"//str1,"Gas ext Vis ",
      .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
@@ -184,29 +272,22 @@
          DO k=8,NSPECI,10
            write(str1,'(i2.2)') k
-         CALL histdef(nid_day,"thi"//str1,"Haze Opa IR",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
-         DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_day,"khi"//str1,"Haze ext IR ",
-     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
-         DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_day,"tgi"//str1,"Haze Opa IR",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
-         DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_day,"kgi"//str1,"Haze ext IR ",
-     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
+         CALL histdef(nid_day,"kgi"//str1,"Gas ext IR ",
+     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+c --------------
+c ----- OPACITE NUAGES
+         if (clouds.eq.1) then
+           CALL histdef(nid_day,"tcld","Cld Opa proxy",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto,zout)
+c
+c --------------
+c ----- EXTINCTION NUAGES
+           CALL histdef(nid_day,"kcld","Cld Ext proxy",
+     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto,zout)
+         endif
 c
       ENDIF !lev_histday.GE.3
Index: trunk/LMDZ.TITAN/libf/phytitan/ini_histins.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/ini_histins.h	(revision 174)
+++ trunk/LMDZ.TITAN/libf/phytitan/ini_histins.h	(revision 175)
@@ -1,5 +1,2 @@
-!
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/ini_histins.h,v 1.1.1.1 2004/05/19 12:53:08 lmdzadmin Exp $
-!
       IF (ok_instan) THEN
 c
@@ -112,9 +109,9 @@
 c
          if (iflag_trac.eq.1) THEN
-          if (microfi.eq.1) then
+          if (microfi.ge.1) then
            DO iq=1,nmicro
          CALL histdef(nid_ins, tname(iq), ttext(iq), "n/m2",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ins(X)", zsto,zout)
+     .                "inst(X)", zsto,zout)
            ENDDO
 	  endif
@@ -123,5 +120,5 @@
          CALL histdef(nid_ins, tname(iq), ttext(iq), "ppm",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ins(X)", zsto,zout)
+     .                "inst(X)", zsto,zout)
            ENDDO
 	  endif
@@ -154,4 +151,6 @@
      .                32, "inst(X)", zsto,zout)
 c
+c --------------
+c ----- OPACITE BRUME
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
@@ -161,4 +160,13 @@
          ENDDO
 c
+         DO k=8,NSPECI,10
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_ins,"thi"//str1,"Haze Opa IR",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ins(X)",zsto,zout)
+         ENDDO
+c
+c --------------
+c ----- EXTINCTION BRUME
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
@@ -168,4 +176,13 @@
          ENDDO
 c
+         DO k=8,NSPECI,10
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_ins,"khi"//str1,"Haze ext IR ",
+     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ins(X)",zsto,zout)
+         ENDDO
+c
+c --------------
+c ----- OPACITE GAZ
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
@@ -175,29 +192,17 @@
          ENDDO
 c
+         DO k=8,NSPECI,10
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_ins,"tgi"//str1,"Haze Opa IR",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ins(X)",zsto,zout)
+         ENDDO
+c
+c --------------
+c ----- EXTINCTION GAZ
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
          CALL histdef(nid_ins,"kgv"//str1,"Haze ext Vis ",
      .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ins(X)",zsto,zout)
-         ENDDO
-c
-         DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_ins,"thi"//str1,"Haze Opa IR",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ins(X)",zsto,zout)
-         ENDDO
-c
-         DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_ins,"khi"//str1,"Haze ext IR ",
-     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ins(X)",zsto,zout)
-         ENDDO
-c
-         DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_ins,"tgi"//str1,"Haze Opa IR",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
      .                "ins(X)",zsto,zout)
          ENDDO
Index: trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h	(revision 174)
+++ trunk/LMDZ.TITAN/libf/phytitan/ini_histmth.h	(revision 175)
@@ -105,13 +105,83 @@
      .                "ave(X)", zsto1,zout)
 c
+cccccccccccccccccc  Tracers
+c
          if (iflag_trac.eq.1) THEN
-c         if (microfi.eq.1) then
-c          DO iq=1,nmicro
-c        CALL histdef(nid_mth, tname(iq), ttext(iq), "n/m2",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-c    .                "ave(X)", zsto,zout)
-c          ENDDO
-c         endif
-          if (nmicro.lt.nqmax) then
+          if (microfi.ge.1) then
+c           DO iq=1,nmicro
+c             CALL histdef(nid_mth, tname(iq), ttext(iq), "n/m2",
+c     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c     .                "ave(X)", zsto,zout)
+c           ENDDO
+             CALL histdef(nid_mth, "qaer","nb tot aer" , "n/m2",
+     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    "ave(X)", zsto,zout)
+             CALL histdef(nid_mth, "qnoy","nb tot noy" , "n/m2",
+     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    "ave(X)", zsto,zout)
+             CALL histdef(nid_mth, "qgl1","V tot gl1" , "m3/m2",
+     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    "ave(X)", zsto,zout)
+             CALL histdef(nid_mth, "qgl2","V tot gl2" , "m3/m2",
+     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    "ave(X)", zsto,zout)
+             CALL histdef(nid_mth, "qgl3","V tot gl3" , "m3/m2",
+     .                    iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                    "ave(X)", zsto,zout)
+c--------------
+c ----- SATURATION ESP NUAGES
+             if (clouds.eq.1) then
+               CALL histdef(nid_mth,"ch4sat", "saturation CH4", "--",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+               CALL histdef(nid_mth,"c2h6sat", "saturation C2H6", "--",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+               CALL histdef(nid_mth,"c2h2sat", "saturation C2H2", "--",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+c --------------
+c ----- RESERVOIR DE SURFACE
+               CALL histdef(nid_mth, "reserv", "Reservoir surface","m",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+c --------------
+c ----- PRECIPITATIONS (precipitations cumulatives)
+               CALL histdef(nid_mth,"prech4","Precip CH4","m",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+               CALL histdef(nid_mth,"prec2h6","Precip C2H6",
+     .                "m",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+               CALL histdef(nid_mth,"prec2h2","Precip C2H2",
+     .                "m",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+               CALL histdef(nid_mth,"prenoy","Precip NOY",
+     .                "m",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+               CALL histdef(nid_mth,"preaer","Precip AER",
+     .                "m",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+c --------------
+c ----- FLUX GLACE
+               CALL histdef(nid_mth,"flxgl1", "flux gl CH4",
+     .              "kg/m2/s",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "ave(X)", zsto,zout)
+               CALL histdef(nid_mth,"flxgl2", "flux gl C2H6",
+     .              "kg/m2/s",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "ave(X)", zsto,zout)
+               CALL histdef(nid_mth,"flxgl3", "flux gl C2H2",
+     .              "kg/m2/s",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .              "ave(X)", zsto,zout)
+c --------------
+c ----- RAYON DES GOUTTES
+               CALL histdef(nid_mth,"rcldbar", "rayon moyen goutte",
+     .                "m",iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+             endif
+	  endif
+c --------------
+c ----- TRACEURS CHIMIQUES
+	  if (nmicro.lt.nqmax) then
            DO iq=nmicro+1,nqmax
          CALL histdef(nid_mth, tname(iq), ttext(iq), "ppm",
@@ -125,5 +195,5 @@
 c    .                "ave(X)", zsto,zout)
 c          ENDDO
-          endif
+	  endif
          endif
 c
@@ -159,4 +229,6 @@
      .                32, "ave(X)", zsto1,zout)
 c
+c --------------
+c ----- OPACITE BRUME
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
@@ -166,4 +238,13 @@
          ENDDO
 c
+         DO k=8,NSPECI,10
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_mth,"thi"//str1,"Haze Opa IR",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+c --------------
+c ----- EXTINCTION BRUME
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
@@ -173,14 +254,32 @@
          ENDDO
 c
+         DO k=8,NSPECI,10
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_mth,"khi"//str1,"Haze ext IR ",
+     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+c --------------
+c ----- OPACITE GAZ
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"tgv"//str1,"Haze Opa Vis",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
+         CALL histdef(nid_mth,"tgv"//str1,"Gas Opa Vis",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+         DO k=8,NSPECI,10
+           write(str1,'(i2.2)') k
+         CALL histdef(nid_mth,"tgi"//str1,"Haze Opa IR",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+c --------------
+c ----- EXTINCTION GAZ
          DO k=7,NSPECV,10
            write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"kgv"//str1,"Haze ext Vis ",
+         CALL histdef(nid_mth,"kgv"//str1,"Gas ext Vis ",
      .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
@@ -189,29 +288,31 @@
          DO k=8,NSPECI,10
            write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"thi"//str1,"Haze Opa IR",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
-         DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"khi"//str1,"Haze ext IR ",
-     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
-         DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"tgi"//str1,"Haze Opa IR",
-     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
-c
-         DO k=8,NSPECI,10
-           write(str1,'(i2.2)') k
-         CALL histdef(nid_mth,"kgi"//str1,"Haze ext IR ",
-     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
-     .                "ave(X)",zsto1,zout)
-         ENDDO
+         CALL histdef(nid_mth,"kgi"//str1,"Gas ext IR ",
+     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto1,zout)
+         ENDDO
+c
+c --------------
+c ----- OPACITE NUAGES
+         if (clouds.eq.1) then
+           CALL histdef(nid_mth,"tcld","Cld Opa proxy",
+     .                "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto,zout)
+c
+c --------------
+c ----- EXTINCTION NUAGES
+           CALL histdef(nid_mth,"kcld","Cld Ext proxy",
+     .                "m-1",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .                "ave(X)",zsto,zout)
+         endif
+c
+c --------------
+c ----- OCCURENCE NUAGES
+           do k=1,12
+             write(str1,'(i2.2)') k
+             CALL histdef(nid_mth,"occcld"//str1,"occ cld",
+     .       "--",iim,jjmp1,nhori,klev,1,klev,nvert,32,
+     .       "ave(X)",zsto,zout)
+           enddo
 c
       ENDIF !lev_histmth.GE.3
Index: trunk/LMDZ.TITAN/libf/phytitan/inimuphy3D.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/inimuphy3D.F	(revision 175)
+++ trunk/LMDZ.TITAN/libf/phytitan/inimuphy3D.F	(revision 175)
@@ -0,0 +1,118 @@
+
+************************************************************************
+*      inimphycst()
+*      initialise les constante utilisée dans la microphysique.
+*
+*      Oui je sais certaine constantes, voir toutes les definitions
+*      faites ici devraient etre dans YOMCST.h mais la j'ai pas le 
+*      courage pour le moment !
+************************************************************************
+       subroutine inimphycst()
+       implicit none
+#include "dimensions.h"
+#include "microtab.h"
+#include "varmuphy.h"
+#include "YOMCST.h"
+
+         pi = RPI
+
+         nav = RNAVO
+         rgp = R
+         kbz = RKBOL
+
+         rtit = RA
+         g0   = RG
+
+         mch4  = 16.e-3      ! kg/mol !!!!
+         mc2h6 = 30.e-3
+         mc2h2 = 26.e-3
+         mar   = 36.4e-3
+         mn2   = 28.e-3
+         mair  = 28.e-3      ! l'air c'est du N2 ^^
+  
+         rhol      = 1.e+3     ! rho aerosols
+         rhoi_ch4  = 425.
+         rhoi_c2h6 = 544.6
+         rhoi_c2h2 = 615.0 
+
+         mtetach4  = 0.92
+         mtetac2h6 = 0.92
+         mtetac2h2 = 0.92
+
+         return
+       end
+************************************************************************
+*      Routine calculant/initialisant la grille verticale
+*      ainsi que tous les variables communes aux routines microphysique.
+*
+*      CONVENTION :
+*      suffixe b    : bord des couches.
+*      SANS suffixe : centre des couches.
+************************************************************************
+       subroutine inimuphy(ihor,tplev,tplay,tzlev,tzlay,tpt)
+       implicit none
+#include "dimensions.h"
+#include "microtab.h"
+#include "varmuphy.h"
+*
+*      INPUT :
+*
+       integer ihor
+       real tplev(nz+1),tplay(nz),tzlev(nz+1),tzlay(nz),tpt(nz)
+*
+*      LOCAL
+*
+       integer i,j
+       real plev(nz+1),play(nz),zlev(nz+1),zlay(nz),pt(nz)
+
+
+       if (nz.ne.llm) then
+         print*,"<nz.ne.llm> dans inimuphys !"
+         STOP
+       endif
+
+*-----------------------
+*      INVERSION DES TABLEAUX
+*-----------------------
+
+      do j=1,nz+1 
+        plev(j)=tplev(nz-j+2)
+        zlev(j)=tzlev(nz-j+2)
+      enddo
+      do j=1,nz
+        play(j)=tplay(nz-j+1)
+        zlay(j)=tzlay(nz-j+1)
+        pt(j) = tpt(nz-j+1)
+      enddo
+*
+*      Calcul de la grille verticale :
+*      z,dz,zb,dzb
+*      
+       do i=1,nz-1         
+         dz(i)=zlay(i)-zlay(i+1)
+         dzb(i)=zlev(i)-zlev(i+1)
+       enddo
+       dz(nz)=dz(nz-1)                 ! ARBITRAIRE  
+       dzb(nz)=zlev(nz)-zlev(nz+1)
+       z=zlay
+       zb=zlev
+       p=play
+       pb=plev
+
+*
+*      conditions speciale pour le dernier niveau de pression
+*      on crée un niveau tres tres tres fin mais qui existe quand meme !)
+       pb(1) = plev(2)*1.e-7
+
+
+c Interpolation de tb a partir de t
+c*******************************************************
+       t=pt
+       do i=1,nz-1
+         tb(i+1)=(t(i)+t(i+1))/2.  
+       enddo
+       tb(1)=t(1)
+       tb(nz+1)=(t(nz)-t(nz-1))*.5+t(nz)
+
+         return
+       end
Index: trunk/LMDZ.TITAN/libf/phytitan/itemps.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/itemps.h	(revision 175)
+++ trunk/LMDZ.TITAN/libf/phytitan/itemps.h	(revision 175)
@@ -0,0 +1,25 @@
+!--------------------------------------------------------------------c
+!      itemps.h : variable de temps d'executions.                    c
+!--------------------------------------------------------------------c
+       real ttphys           ! tps exec de la physique 
+       real ttmuphys         ! tps exec de la microphysique
+       real tthaze           ! tps exec de la brume
+       real ttcclds          ! tps exec CONDENSATION nuages
+       real ttsclds          ! tps exec SEDIMENTATION nuages
+       real ttdynt           ! tps exec dyn tout confondu (comprend physique)
+       real ttphytra         ! tps exec phytrac
+       real ttrad            ! tps exec TR
+       real ttadvtr          ! tps exec advection des traceurs dans la dynamique
+
+       common /itimes/ttdynt,ttphys,ttphytra,ttrad,                     &
+     &                ttmuphys,tthaze,ttcclds,ttsclds,ttadvtr
+
+
+! ---- variables locales a chaque routines utilisant itemps.h
+       real tt0        ! tps de demarage de la routine 
+       real ttt0       ! tps de demarage de la routine 
+       real tttt0       ! tps de demarage de la routine 
+       real tt1        ! tps d'EXECUTION de la routine.
+       real ttt1       ! tps d'EXECUTION de la routine.
+       real tttt1       ! tps d'EXECUTION de la routine.
+   
Index: trunk/LMDZ.TITAN/libf/phytitan/liqc2h6.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/liqc2h6.F	(revision 175)
+++ trunk/LMDZ.TITAN/libf/phytitan/liqc2h6.F	(revision 175)
@@ -0,0 +1,103 @@
+      SUBROUTINE LIQC2H6(WAVELN,XNR,XNI)
+
+*
+*
+* PERS. COMM E. QUIRICO ; eric.quirico@obs.ujf-grenoble.fr
+*
+*
+      DIMENSION W(154),XN(154),XK(154)
+        data W/
+     & 1000.  ,13.7832,12.5514,11.7883,11.1533,10.5841,10.0702,
+     & 9.6039, 9.1789, 8.7899, 8.4325, 8.1031, 7.7984, 7.5158,
+     & 7.2530, 7.0079, 6.7789, 6.5643, 6.3629, 6.1383, 5.8776,
+     & 5.6862, 5.3808, 4.4945, 3.8012, 3.6938, 3.6004, 3.5311,
+     & 3.4720, 3.4149, 3.3595, 3.3060, 3.2541, 3.2038, 3.1551,
+     & 3.1078, 3.0620, 3.0167, 2.9724, 2.9286, 2.8869, 2.8469,
+     & 2.8075, 2.7699, 2.7360, 2.7037, 2.6689, 2.6345, 2.5991,
+     & 2.5653, 2.5339, 2.5033, 2.4734, 2.4443, 2.4158, 2.3880,
+     & 2.3608, 2.3343, 2.3083, 2.2829, 2.2580, 2.2337, 2.2099,
+     & 2.1866, 2.1638, 2.1373, 2.1135, 2.0920, 2.0707, 2.0502,
+     & 2.0301, 2.0105, 1.9912, 1.9722, 1.9537, 1.9354, 1.9175,
+     & 1.9000, 1.8827, 1.8658, 1.8492, 1.8328, 1.8168, 1.8010,
+     & 1.7855, 1.7702, 1.7553, 1.7405, 1.7261, 1.7118, 1.6978,
+     & 1.6840, 1.6704, 1.6571, 1.6440, 1.6310, 1.6183, 1.6058,
+     & 1.5934, 1.5813, 1.5693, 1.5575, 1.5457, 1.5342, 1.5229,
+     & 1.5118, 1.5009, 1.4901, 1.4795, 1.4690, 1.4586, 1.4485,
+     & 1.4384, 1.4285, 1.4187, 1.4091, 1.3996, 1.3902, 1.3809,
+     & 1.3718, 1.3628, 1.3539, 1.3451, 1.3365, 1.3279, 1.3195,
+     & 1.3111, 1.3029, 1.2947, 1.2867, 1.2788, 1.2709, 1.2632,
+     & 1.2556, 1.2480, 1.2405, 1.2332, 1.2259, 1.2187, 1.2116,
+     & 1.2045, 1.1976, 1.1907, 1.1839, 1.1772, 1.1705, 1.1640,
+     & 1.1575, 1.1510, 1.1447, 1.1384, 1.1322, 1.1282, 0.0100
+     &/
+        data XN/
+     & 1.3267, 1.3272, 1.3294, 1.2944, 1.3174, 1.3197, 1.3211,
+     & 1.3217, 1.3225, 1.3229, 1.3235, 1.3242, 1.3255, 1.3286,
+     & 1.3266, 1.3408, 1.3029, 1.3101, 1.3149, 1.3171, 1.3188,
+     & 1.3196, 1.3203, 1.3226, 1.3273, 1.3298, 1.3334, 1.3432,
+     & 1.3569, 1.3637, 1.3311, 1.2866, 1.3017, 1.3067, 1.3099,
+     & 1.3120, 1.3133, 1.3139, 1.3148, 1.3153, 1.3159, 1.3162,
+     & 1.3167, 1.3170, 1.3371, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600,
+     & 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600, 1.3600
+     &/
+        data XK/
+     &.131E-02,.394E-03,.452E-03,.987E-03,.109E-02,.118E-02,.106E-02,
+     &.107E-02,.102E-02,.992E-03,.997E-03,.855E-03,.849E-03,.751E-03,
+     &.149E-02,.125E-02,.713E-02,.148E-02,.815E-03,.213E-03,.642E-04,
+     &.965E-04,.375E-04,.468E-04,.863E-04,.186E-05,.451E-04,.136E-02,
+     &.428E-02,.237E-01,.162E-01,.273E-02,.144E-02,.416E-03,.155E-03,
+     &.227E-03,.361E-03,.692E-04,.509E-04,.548E-04,.105E-03,.662E-04,
+     &.144E-03,.133E-03,.945E-04,.395E-04,.148E-03,.455E-05,.559E-04,
+     &.187E-04,.929E-04,.348E-04,.896E-04,.480E-03,.471E-03,.285E-03,
+     &.126E-03,.446E-03,.886E-03,.843E-03,.281E-03,.625E-04,.487E-04,
+     &.118E-04,.437E-04,.186E-05,.336E-04,.223E-05,.101E-04,.182E-04,
+     &.436E-04,.171E-04,.127E-04,.186E-04,.181E-04,.243E-04,.252E-04,
+     &.330E-04,.294E-04,.302E-04,.258E-04,.276E-04,.335E-04,.295E-04,
+     &.373E-04,.351E-04,.322E-04,.653E-04,.670E-04,.882E-04,.124E-03,
+     &.261E-04,.973E-05,.144E-04,.356E-05,.228E-05,.475E-05,.414E-05,
+     &.103E-05,.980E-06,.413E-06,.283E-06,.312E-06,.996E-06,.188E-05,
+     &.262E-05,.282E-05,.537E-05,.262E-05,.169E-05,.314E-05,.627E-05,
+     &.147E-04,.975E-05,.866E-05,.161E-04,.225E-04,.315E-04,.206E-04,
+     &.248E-04,.157E-04,.850E-05,.155E-05,.833E-06,.523E-06,.461E-06,
+     &.638E-06,.959E-06,.112E-05,.130E-05,.119E-05,.120E-05,.149E-05,
+     &.180E-05,.183E-05,.157E-05,.190E-05,.264E-05,.178E-05,.339E-05,
+     &.119E-04,.117E-04,.218E-04,.345E-04,.150E-04,.159E-04,.969E-05,
+     &.748E-05,.879E-05,.872E-05,.444E-05,.269E-05,.241E-05,.212E-05
+     &/
+*234567890123456789012345678901234567890123456789012345678901234567890
+*
+*
+      XNR=XN(1)
+      XNI=XK(1)
+      IF (WAVELN .GT. W(1))  RETURN
+      XNR=XN(154)
+      XNI=XK(154)
+      IF (WAVELN .LT. W(154)) RETURN
+      DO 100 I=2,154
+      IF (WAVELN .GT. W(I) ) GO TO 101
+ 100  CONTINUE
+ 101  CONTINUE
+C ALL INTERPOLATION IS IN LOG LAMBDA
+      FACTOR= (alog(WAVELN) - alog(W(I)) ) / (alog(W(I-1)) - alog(W(I)))
+C REAL PART IS LINEARLY INTERPOLATED
+      XNR=XN(I) + FACTOR*(XN(I-1) - XN(I))
+C IMAGINARY PART IS LOG INTERPOLATED
+      XNI=alog(XK(I)) + FACTOR*(alog(XK(I-1)) - alog(XK(I)))
+      XNI=exp(XNI)
+          iF(XNI.lt.1.e-7) XNI=1.e-7
+      RETURN
+      END
